Skip to content

Instantly share code, notes, and snippets.

@sfermigier
Created January 7, 2019 15:13
Show Gist options
  • Star 0 You must be signed in to star a gist
  • Fork 0 You must be signed in to fork a gist
  • Save sfermigier/c3c2cdc39836bba55427e07c776f77e2 to your computer and use it in GitHub Desktop.
Save sfermigier/c3c2cdc39836bba55427e07c776f77e2 to your computer and use it in GitHub Desktop.
[tool.poetry]
name = "extranet-spr"
version = "0.1.0"
description = ""
authors = ["Abilian SAS"]
[tool.poetry.dependencies]
# python = "^2.7"
#
# Abilian
#
abilian-sbe = "*"
abilian-core = "*"
# To move someday to abilian-core
attrs = "*"
psycopg2-binary = "*"
# Pinned for now
closure = "==20161201"
# Futurize
"backports.csv" = "*"
# Temp
celery = ">=4"
#
# Annuaire des projets
#
Flask-Cors = "*"
# For PDF rendering
WeasyPrint = [
{ version = "<43", python = "~2.7" },
{ version = "*", python = "^3.6" },
]
cairosvg = [
{ version = "<2", python = "~2.7" },
{ version = "*", python = "^3.6" },
]
# Pin for now (cf. abilian-core)
wtforms = "==2.1"
# For PDF merging
PyPDF2 = "*"
# Utilise pour cacher les pdf generes par l'annuaire
# Version 1.3 seems to break the tests
Flask-Caching = "<1.3"
# Workflow
docflow = "==0.3.2"
# Certains champs sont entres en Markdown
Flask-Misaka = "*"
# JSON API
marshmallow = "*"
# TODO: move into core
validate_email = "*"
#
# SSO
#
python-jose = "*"
# Synchro SugarCRM
pysugarcrm = "~1.0.1"
jsondiff = "*"
# ZIP export
mime = "*"
#
# Autres (TODO: document)
#
unidecode = "*"
phonenumbers = ">=7.1.0"
xlrd = "*"
asq = "*"
ijson = "*"
qrcode = "==5.3"
# This is required for properly using HTTPS with requests (see:
# http://stackoverflow.com/questions/29134512/insecureplatformwarning-a-true-sslcontext-object-is-not-available-this-prevent)
requests = { version = "*", extras = [ "security" ] }
# Language detection. Langid seems better that guess-language.
langid = ">=1.1.5,<1.6"
# We run our app in the Gunicorn web container
gunicorn = "*"
# Application Monitoring
raven = "*"
sqreen = "*"
# flower: celery web ui
flower = "==0.7.3"
# More
dkimpy = "^0.9.1"
[tool.poetry.dev-dependencies]
# Linting
flake8 = "*"
flake8-mutable = "*"
flake8-polyfill = "*"
flake8-tidy-imports = "*"
flake8-pytest = "*"
flake8-super-call = "*"
pre-commit = "*"
# pylint = [
# { version = "~1.9", python = "~2.7" },
# { version = "*", python = "^3.6" },
# ]
# Formatting
# These are pinned for now
isort = "==4.3.4"
# Testing
pytest = ">3.4.0" # 3.4.0 is broken
pytest-cov = "*"
pytest-xdist = "*"
pytest-randomly = "*"
pytest-sugar = "*"
tox = "*"
Flask-LinkTester = "*"
coveralls = "*"
# Deployment
# fabric = "<2"
# fabtools = "*"
[build-system]
requires = ["poetry>=0.12"]
build-backend = "poetry.masonry.api"
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment